Package twisted :: Package words :: Module ircservice

[frames | no frames]

## Module twisted.words.ircservice

IRC interface to `twisted.words`.

I implement an IRC server so you can connect to a `twisted.words` service with a regular IRC client.

Classes
`IRCChatter` |
`IRCGateway` |

Function Summary
| `ctcpToWords(query_tag)`
| `wordsToCtcp(style)`

Variable Summary
`dict` | `mapCtcpToWords` = `{'ACTION': 'emote'}`
`dict` | `mapWordsToCtcp` = `{'emote': 'ACTION'}`

Variable Details

### mapCtcpToWords

  Type:
    `dict`
  Value:

        {'ACTION': 'emote'}

### mapWordsToCtcp

  Type:
    `dict`
  Value:

        {'emote': 'ACTION'}

Generated by Epydoc 2.0 on Sat May 15 20:08:03 2004 | http://epydoc.sf.net